#
# spec file for package python-pyrsistent
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyrsistent
Version:        0.14.4
Release:        3.2.1
Summary:        Persistent, Functional, Immutable data structures
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/tobgu/pyrsistent/
Source:         https://files.pythonhosted.org/packages/source/p/pyrsistent/pyrsistent-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
%python_subpackages

%description
Pyrsistent is a number of persistent collections
(by some referred to as functional data structures).
Persistent in  the sense that they are immutable.

All methods on a data structure that would normally
mutate it instead return a new copy of the structure
containing the requested updates. The original structure
is left untouched.

%prep
%setup -q -n pyrsistent-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitearch}
py.test-%{$python_bin_suffix}
}

%files %{python_files}
%license LICENCE.mit
%doc CHANGES.txt README README.rst
%{python_sitearch}/*

%changelog
* Sat Aug 11 2018 tchvatal@suse.com
- Drop the test conditional
- Use %%license macro
* Fri Aug 10 2018 jsikes@suse.de
- Version jump to 0.14.4
  * Fix PClass double-factory-ing in a few situations.
  * Fix #121, regression in PClass.set()
  * Fix regression where type names break sequence fields
  * Allowing 'set' as a valid container for multiple fields.
  * Fix #131 Clarify that dot-notation can be used for element access on PMaps
  * Fix #133 Python 3.7 compatibility
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
